[arch-commits] Commit in xorg-fonts-type1/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Mar 8 08:31:38 EST 2010


    Date: Monday, March 8, 2010 @ 08:31:38
  Author: jgc
Revision: 71695

upgpkg: xorg-fonts-type1 7.4-1
Update fonts, convert to -any architecture

Modified:
  xorg-fonts-type1/trunk/PKGBUILD

----------+
 PKGBUILD |   46 ++++++++++++++++++++++++----------------------
 1 file changed, 24 insertions(+), 22 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-08 13:11:05 UTC (rev 71694)
+++ PKGBUILD	2010-03-08 13:31:38 UTC (rev 71695)
@@ -1,37 +1,39 @@
 # $Id$
-#Maintainer: Jan de Groot <jgc at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=xorg-fonts-type1
-pkgver=7.3
+pkgver=7.4
 pkgrel=1
 pkgdesc="X.org Type1 fonts"
-arch=(i686 x86_64)
+arch=(any)
 license=('custom')
 url="http://xorg.freedesktop.org/"
 depends=(xorg-fonts-encodings xorg-fonts-alias xorg-font-utils fontconfig)
 install=xfonts.install
-source=(${url}/releases/individual/font/font-adobe-utopia-type1-1.0.1.tar.bz2
-        ${url}/releases/individual/font/font-bh-type1-1.0.0.tar.bz2
-        ${url}/releases/individual/font/font-bitstream-type1-1.0.0.tar.bz2
-        ${url}/releases/individual/font/font-ibm-type1-1.0.0.tar.bz2
-        ${url}/releases/individual/font/font-xfree86-type1-1.0.1.tar.bz2)
-md5sums=('aa7ff4bd20b961afda9c15d103b972a5' '46588b22678e440741d6220bc3945cbf'\
-         '6610475e2e231242f8f2122a709c3695' '8e8733051371e2b51123376b49f5d3ea'\
-         'd7e965776c7f0c30b0f09742176fb77a')
+source=(${url}/releases/individual/font/font-adobe-utopia-type1-1.0.2.tar.bz2
+        ${url}/releases/individual/font/font-bh-type1-1.0.1.tar.bz2
+        ${url}/releases/individual/font/font-bitstream-type1-1.0.1.tar.bz2
+        ${url}/releases/individual/font/font-ibm-type1-1.0.1.tar.bz2
+        ${url}/releases/individual/font/font-xfree86-type1-1.0.2.tar.bz2)
+md5sums=('ad945b19b2db64dec3a19507848ff63b'
+         '374d954c61363206c93d1ce7e9445c31'
+         'a4e8e229a051c0ede9eb525e4006d93a'
+         '1646179ff224b3e2c9b1e7f59042897f'
+         'a966f5a8aade9e63af86d8a6bf3e8586')
 
 build() {
-  cd ${startdir}/src
-  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
-  for dir in font-*-type1-1.?.?; do
-    pushd ${dir}
+  cd "${srcdir}"
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  for dir in *; do
+    if [ -d "${dir}" ]; then
+      pushd "${dir}"
       ./configure --prefix=/usr \
-                  --with-mapfiles=/usr/share/fonts/util \
-		  --with-fontdir=/usr/share/fonts/Type1
+		      --with-fontdir=/usr/share/fonts/Type1 || return 1
       make || return 1
-      make DESTDIR=${startdir}/pkg install || return 1
-      lic=`echo $dir | awk -F '-' '{ print $2 }'`
-      install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/${lic}
-    popd
+      make DESTDIR="${pkgdir}" install || return 1
+      install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-*}" || return 1
+      popd
+    fi
   done
-  rm -f ${startdir}/pkg/usr/share/fonts/Type1/fonts.*
+  rm -f "${pkgdir}"/usr/share/fonts/Type1/fonts.*
 }



More information about the arch-commits mailing list